io.undertow.protocols.alpn

## Class ALPNManager

- java.lang.Object
- - io.undertow.protocols.alpn.ALPNManager

    public class ALPNManager
    extends Object

Author:
  Stuart Douglas

### Field Summary

Fields
`static ALPNManager` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`ALPNManager(ClassLoader classLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ALPNProvider` `getProvider(SSLEngine engine)`
`void` `registerEngineCallback(SSLEngine original, Function<SSLEngine,SSLEngine> selectionFunction)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ALPNManager INSTANCE

### Constructor Detail

#### ALPNManager

    public ALPNManager(ClassLoader classLoader)

### Method Detail

#### getProvider

    public ALPNProvider getProvider(SSLEngine engine)

#### registerEngineCallback

    public void registerEngineCallback(SSLEngine original,
                                       Function<SSLEngine,SSLEngine> selectionFunction)